# 中后台基础工程 (Template)

> 项目 Fork 自 [vue-vben-admin](https://github.com/vbenjs/vue-vben-admin)  
> 通用组件及相关配置, 参考文档: [Vben Doc](https://vvbin.cn/doc-next/), [Ant Design Vue](https://www.antdv.com/components/overview-cn/)

## 开发环境

<!-- prettier-ignore -->
- Visual Studio Code [latest](https://code.visualstudio.com)
- [常用插件清单](./doc/plugins.md)

## 开始

<!-- prettier-ignore -->
- [开发规范说明](./doc/workflow.md)
- [技术栈说明](./doc/technique.md)
- 💡 [实用技巧](./doc/skill.md)

---

## TODO

<!-- prettier-ignore -->
- [x] 项目构建，文档编写
- [x] 集成 [Pont](https://github.com/alibaba/pont)
- [x] 完善网络配置
- [x] 完善权限控制
- [ ] 适配上传/下载接口的自动化生成模板
- [ ] 新增 Demo 模块，集成基础 Table 和 Form 组件示例，上传下载等
- [ ] 跟进 Vben 更新，修复 Bug 和新增功能（持续...）

---

### API 联调

```diff
# 修改 .env.development 变量, 将 API 接口从 Mock 切换到开发环境

- VITE_GLOB_API_URL=/basic-api
- VITE_GLOB_API_URL_PREFIX=

# IP 地址和 API 前缀根据实际情况修改
+ VITE_GLOB_API_URL=http://192.168.0.156:8081
+ VITE_GLOB_API_URL_PREFIX=/api
```

### Route 模式切换

```diff
# 修改 projectSetting.ts 项目全局配置
# 例如: 修改权限模式，将前端菜单权限改为根据后台接口获取的权限

- permissionMode: PermissionModeEnum.ROUTE_MAPPING,

+ permissionMode: PermissionModeEnum.BACK,
```

---

### TODO List 功能模块实现参考地址（取长补短）

1. [代码生成](https://mp.weixin.qq.com/s?__biz=MzUzMTA2NTU2Ng==&mid=2247567406&idx=2&sn=2bec8d7415320fb62def2d43fcb8dd10&chksm=fa4bb79fcd3c3e8919abb9b4174a53bd2cf3edff17e4bec125329ab3bd7ae602b3fcdd9190e2&scene=126&sessionid=1677071502&subscene=227&key=a7219982f0ba95cce8ffc8dd506fb08ef8e8c8b6e4c03e4fcb8ee13741ecaedf021e6d434aad98ff64b024aeb5501223568ad6566895ec0ae4f3458a275f83c07823b437fb2b1808d5ba425456375e37bfad12815ffcb5f58be089311ccfecb1730537388a5ed54def0580e2a5bbb3c9887abcdf90ae75b4177c05ef2324309a&ascene=7&uin=MjM0NzQwNTM4MQ%3D%3D&devicetype=Windows+10+x64&version=6309001c&lang=zh_CN&countrycode=CN&exportkey=n_ChQIAhIQeZKlHp9FizGqsXSOQ7zjjxLfAQIE97dBBAEAAAAAAMwOC8VYUnIAAAAOpnltbLcz9gKNyK89dVj04xLXT2Y%2BlV9mtzSMPOL2HyUz2ThQr7PEEK1RrRhS5lMJJzTbO18r5QJspdQCJWmcAHtZ6BzmWglwHhAqiUkd8QKfn36JRLZdEJApvyfqdDC6R5tgm7qfT4u5IGfPmZ5z7PXUxlRxlFpvKF6LTnaRntho2UzbX15tV0Hf9qGLCN9FDDGkSILEvLq2S8S3WHk8JoW9afLZy7%2BTLNL8y1BMjwkHDS6COHr7bmxVib41tUWFb9CjYPNMLWI%3D&acctmode=0&pass_ticket=T7yQymuYXk5FaQPi69Pl2SX%2FsHiRwtxh6gBD6Di%2FM8%2F4lac6tdUXu21eN2%2Fdxz7f8urIc7KCNUshmL1mu%2BjAmw%3D%3D&wx_header=1&fontgear=2)
2. [若依 - 芋道](http://dashboard.yudao.iocoder.cn/index)
3. [Jeecg Boot/Cloud](http://boot3.jeecg.com/dashboard/analysis)
4. [Dante Cloud](https://github.com/dromara/dante-cloud)
