/**
 * @desc 文件下载
 */

import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** bucket */
    bucket: string
    /** object */
    object: string
}

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/common/file/download',
            method: 'GET',
            params,

            responseType: 'blob',
            timeout: 0,

            ...config,
        },
        {
            download: true,

            ...options,
        },
    )
}
