import { useGlobSetting } from '/@/hooks/setting'

const globSetting = useGlobSetting()
let HOST = 'localhost'
let API_URL = `${HOST}`
let API_URL_PREFIX = globSetting.urlPrefix

// =============================================================================
// ✨ 生产环境
// HOST = 'https://beta.app.yiring.com'
// API_URL = `${HOST}`
// API_URL_PREFIX = globSetting.urlPrefix

// 📖 开发环境
HOST = globSetting.apiUrl
API_URL = `${HOST}`
API_URL_PREFIX = globSetting.urlPrefix

// 🔦 检查生产环境，使用对应 env 中的配置，保留原有方式方便开发中调试
if (import.meta.env.MODE !== 'development') {
    API_URL = globSetting.apiUrl
    API_URL_PREFIX = globSetting.urlPrefix
}

// 📢 如果使用代理访问网站，则默认使用代理 API 地址
// API_URL = isProxy(window.location.host) ? `http://proxy.yiring.com` : API_URL
// =============================================================================

export {
    /**
     * API URL
     * eg: https://beta.app.yiring.com
     */
    API_URL,
    /**
     * API URL Prefix
     * eg: /api
     */
    API_URL_PREFIX,
}
